﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Hotel_Course_Project
{
    /// <summary>
    /// Логика взаимодействия для RoomAddOrChangePage.xaml
    /// </summary>
    public partial class RoomAddOrChangePage : Page
    {
        public RoomAddOrChangePage(Room room)
        {
            InitializeComponent();
            DataContext = room;
            RStatus.ItemsSource = DataBase.db.RoomStatus.ToList();
            if(DataContext != null)
            {
                RStatus.Text = room.ToString();
                AddBtn.Content = "Изменить данные о комнате";
            }
        }

        private void CancelBtn_Click(object sender, RoutedEventArgs e)
        {

            PChanger.MainFrame.GoBack();
        }

        private void AddBtn_Click(object sender, RoutedEventArgs e)
        {
            DataBase.db.SaveChanges();
            PChanger.MainFrame.GoBack();
        }
    }
}
